| Home | Libraries | People | FAQ | More

## Global cntrl

boost::xpressive::cntrl — Matches a control character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified cntrl;

## Description

The regex traits are used to determine which characters are control characters. To match any character that is not a control character, use ~cntrl.

| Note
cntrl is equivalent to /[[:cntrl:]]/ in perl. ~cntrl is equivalent to /[[:^cntrl:]]/ in perl.